globus_gsi_proxy_constants.h(3)

NAME
globus_gsi_proxy_constants.h - GSI Proxy Constants.

SYNOPSIS

  Enumerations

enum globus_gsi_proxy_error_t { GLOBUS_GSI_PROXY_ERROR_SUCCESS = 0, GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE = 1, GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE_ATTRS = 2, GLOBUS_GSI_PROXY_ERROR_WITH_PROXYCERTINFO = 3, GLOBUS_GSI_PROXY_ERROR_WITH_PROXYPOLICY = 4, GLOBUS_GSI_PROXY_ERROR_WITH_PATHLENGTH = 5, GLOBUS_GSI_PROXY_ERROR_WITH_X509_REQ = 6, GLOBUS_GSI_PROXY_ERROR_WITH_X509 = 7, GLOBUS_GSI_PROXY_ERROR_WITH_X509_EXTENSIONS = 8, GLOBUS_GSI_PROXY_ERROR_WITH_PRIVATE_KEY = 9, GLOBUS_GSI_PROXY_ERROR_WITH_BIO = 10, GLOBUS_GSI_PROXY_ERROR_WITH_CREDENTIAL = 11, GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE = 12, GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE_ATTRS = 13, GLOBUS_GSI_PROXY_ERROR_ERRNO = 14, GLOBUS_GSI_PROXY_ERROR_SETTING_HANDLE_TYPE = 15, GLOBUS_GSI_PROXY_INVALID_PARAMETER = 16, GLOBUS_GSI_PROXY_ERROR_SIGNING = 17, GLOBUS_GSI_PROXY_ERROR_LAST = 18 }

Detailed Description

GSI Proxy Constants.

Author

Generated automatically by Doxygen for globus_gsi_proxy_core from the source code.